package PuellaMagi.mods;

import net.minecraft.entity.EntityLiving;
import net.minecraft.world.World;

public class EntityLightArrow extends EntityMadomagiThrowable
{
    public int tickLight = -1;

    public EntityLightArrow(World par1World)
    {
        super(par1World);
    }

    public EntityLightArrow(World par1World, EntityLiving par2EntityLiving, float par3)
    {
        super(par1World, par2EntityLiving, par3);
    }

    public EntityLightArrow(World par1World, EntityLiving par2EntityLiving, EntityLiving par3EntityLiving, float par4, float par5)
    {
        super(par1World, par2EntityLiving, par3EntityLiving, par4, par5);
    }

    public EntityLightArrow(World par1World, double par2, double par4, double par6)
    {
        super(par1World, par2, par4, par6);
    }

    @Override
    public void onUpdate()
    {
        super.onUpdate();
        if (this.tickLight < 0)
        {
        	this.tickLight = this.rand.nextInt(1000);
        }
        ++this.tickLight;
    }

    @Override
    public int getBrightnessForRender(float par1)
    {
        float var2 = 0.5F;

        if (var2 < 0.0F)
        {
        	var2 = 0.0F;
        }

        if (var2 > 1.0F)
        {
        	var2 = 1.0F;
        }

        int var3 = super.getBrightnessForRender(par1);
        int var4 = var3 & 255;
        int var5 = var3 >> 16 & 255;
        var4 += (int)(var2 * 15.0F * 16.0F);

        if (var4 > 240)
        {
        	var4 = 240;
        }

        return var4 | var5 << 16;
    }
}