package PuellaMagi.mods;

import net.minecraft.entity.EntityLiving;

public class EntityMadomagiAIOwnerHurtByTarget extends EntityMadomagiAITarget
{
    private EntityMadomagi theHost;
    private EntityLiving theOwnerAttacker;

    public EntityMadomagiAIOwnerHurtByTarget(EntityMadomagi par1EntityMadomagi)
    {
        super(par1EntityMadomagi, 32.0F, false);
        this.theHost = par1EntityMadomagi;
        this.setMutexBits(1);
    }

    @Override
    public boolean shouldExecute()
    {
        if (!this.theHost.isEnable())
        {
        	return false;
        }
        else
        {
        	EntityLiving var1 = this.theHost.getOwner();
        	if (var1 == null)
        	{
        		return false;
        	}
        	else
        	{
        		this.theOwnerAttacker = var1.getAITarget();
        		return this.isMadomagiSuitableTarget(this.theOwnerAttacker, false);
        	}
        }
    }

    @Override
    public void startExecuting()
    {
        this.taskOwner.setAttackTarget(this.theOwnerAttacker);
        super.startExecuting();
    }
}