package PuellaMagi.mods;

import net.minecraft.entity.ai.EntityAIBase;

public class EntityMadomagiAIStandby extends EntityAIBase
{
    private EntityMadomagi theEntity;

    public EntityMadomagiAIStandby(EntityMadomagi par1EntityMadomagi)
    {
        theEntity = par1EntityMadomagi;
        setMutexBits(5);
    }

    @Override
    public boolean shouldExecute()
    {
        if(!this.theEntity.isEnable())
        {
        	return true;
        }
        else if (!theEntity.isStandbyMode())
        {
        	return false;
        }
        else if (theEntity.isInWater())
        {
        	return false;
        }
        else if (!theEntity.onGround)
        {
        	return false;
        }
        else
        {
        	return true;
        }
    }

    @Override
    public void startExecuting()
    {
        this.theEntity.getNavigator().clearPathEntity();
    }
}