package PuellaMagi.mods;

import net.minecraft.entity.EntityLiving;
import net.minecraft.entity.ai.EntityAIBase;
import net.minecraft.item.ItemStack;

public class EntityMadomagiAITeaTime extends EntityAIBase
{
    private EntityMahoShojo theHost;
    private ItemStack food;
    private boolean whenChanged;
    private int healPower;

    public EntityMadomagiAITeaTime(EntityMahoShojo par1EntityMahoShojo, ItemStack par2ItemStack, boolean par3, int par4)
    {
        this.theHost = par1EntityMahoShojo;
        this.food = par2ItemStack;
        this.whenChanged = par3;
        this.healPower = par4;
        this.setMutexBits(4);
    }

    @Override
    public boolean shouldExecute()
    {
        EntityLiving var1 = this.theHost.getAttackTarget();

        if (var1 != null)
        {
        	return false;
        }
        else if (!this.theHost.isEnable())
        {
        	return false;
        }
        else if (!this.theHost.isTransformation() && this.whenChanged)
        {
        	return false;
        }
        else if (this.theHost.getHealth() < this.theHost.getMaxHealth())
        {
        	return true;
        }
        return false;
    }

    @Override
    public void startExecuting()
    {
        this.theHost.setCurrentItemOrArmor(0, this.food);
        if (this.theHost instanceof EntityMami)
        {
        	this.theHost.chatMessage("Te Pomeriggio!");
        }
    }

    @Override
    public void resetTask()
    {
        this.theHost.setCurrentItemOrArmor(0, (ItemStack)null);
    }

    @Override
    public void updateTask()
    {
        for (int var1 = 0; var1 < this.healPower; var1++)
        {
        	this.theHost.autoHealing();
        }
    }
}