package PuellaMagi.mods;

import java.util.Iterator;
import java.util.List;

import net.minecraft.command.IEntitySelector;
import net.minecraft.entity.Entity;
import net.minecraft.entity.EntityLiving;
import net.minecraft.entity.ai.EntityAIBase;

public class EntityMajoAIKriemhild extends EntityAIBase
{
    private EntityMajo theHost;
    private Class targetClass;
    private float targetDistance;
    private int timer;

    public EntityMajoAIKriemhild(EntityMajo par1EntityMajo, Class par2, float par3)
    {
        this.theHost = par1EntityMajo;
        this.targetClass = par2;
        this.targetDistance = par3;
        this.timer = 0;
        this.setMutexBits(3);
    }

    @Override
    public boolean shouldExecute()
    {
        if (this.timer < 10)
        {
        	this.timer++;
        	return false;
        }
        else
        {
        	List var5 = this.theHost.worldObj.selectEntitiesWithinAABB(this.targetClass, this.theHost.boundingBox.expand((double)this.targetDistance, 8.0D, (double)this.targetDistance), (IEntitySelector)null);
        	Iterator var2 = var5.iterator();
        	while (var2.hasNext())
        	{
        		Entity var3 = (Entity)var2.next();
        		EntityLiving var4 = (EntityLiving)var3;
        		if (var4 != this.theHost)
        		{
        			if(this.theHost.attackEntityAsMob(var4))
        			{
        				this.theHost.heal(this.theHost.getAttackStrength(var4));
        			}
        		}
        	}
        	this.timer = 0;
        	return false;
        }
    }
}