package PuellaMagi.mods;

import net.minecraft.creativetab.CreativeTabs;
import net.minecraft.entity.player.EntityPlayer;
import net.minecraft.item.Item;
import net.minecraft.item.ItemStack;
import net.minecraft.world.World;

public class ItemGrifSeed extends Item
{
    public ItemGrifSeed(int par1)
    {
        super(par1);
        this.maxStackSize = 1;
        this.setMaxDamage(63);
        this.setCreativeTab(CreativeTabs.tabMisc);
    }

    @Override
    public boolean hasEffect(ItemStack par1ItemStack)
    {
        return par1ItemStack.getItemDamage() < par1ItemStack.getMaxDamage();
    }

    @Override
    public boolean onItemUse(ItemStack par1ItemStack, EntityPlayer par2EntityPlayer, World par3World, int par4, int par5, int par6, int par7, float par8, float par9, float par10)
    {
        EntityGriefSeed var1 = new EntityGriefSeed(par3World, par2EntityPlayer, 1.0F);
        var1.setSoulGemDamage(par1ItemStack.getItemDamage());
        if (!par2EntityPlayer.capabilities.isCreativeMode)
        {
        	--par1ItemStack.stackSize;
        }
        if (!par3World.isRemote)
        {
            par3World.spawnEntityInWorld(var1);
        }
        return true;
    }

    @Override
    public String getTextureFile()
    {
        return "/PuellaMagi/Items/madomagiItem.png";
    }
}