package PuellaMagi.mods;

import net.minecraft.entity.player.EntityPlayer;
import net.minecraft.item.EnumAction;
import net.minecraft.item.ItemFood;
import net.minecraft.item.ItemStack;
import net.minecraft.potion.Potion;
import net.minecraft.potion.PotionEffect;
import net.minecraft.world.World;

public class ItemMamiTea extends ItemFood
{
    public ItemMamiTea(int par1, int par2, float par3, boolean par4)
    {
        super(par1, par2, par3, par4);
    }

    @Override
    protected void func_77849_c(ItemStack par1ItemStack, World par2World, EntityPlayer par3EntityPlayer)
    {
        if (!par2World.isRemote)
        {
            par3EntityPlayer.addPotionEffect(new PotionEffect(Potion.digSpeed.id, 6000, 4));
            par3EntityPlayer.addPotionEffect(new PotionEffect(Potion.waterBreathing.id, 6000, 4));
            par3EntityPlayer.addPotionEffect(new PotionEffect(Potion.fireResistance.id, 6000, 4));
        }
    }

    @Override
    public EnumAction getItemUseAction(ItemStack par1ItemStack)
    {
        return EnumAction.drink;
    }

    @Override
    public String getTextureFile()
    {
        return "/PuellaMagi/Items/madomagiItem.png";
    }
}