package PuellaMagi.mods.client;

import net.minecraft.client.model.ModelBiped;
import net.minecraft.client.renderer.entity.RenderBiped;
import net.minecraft.entity.Entity;
import net.minecraft.entity.EntityLiving;
import PuellaMagi.mods.EntityMahoShojo;

public class RenderMahoShojo extends RenderBiped
{
    private ModelBiped modelNormal;
    private ModelBiped modelMS;

    public RenderMahoShojo(ModelBiped par1ModelBiped, ModelBiped par2ModelBiped, float par3)
    {
        super(par1ModelBiped, par3);
        this.modelBipedMain = par1ModelBiped;
        this.modelNormal = par1ModelBiped;
        this.modelMS = par2ModelBiped;
    }

    public void doRenderMahoShojo(EntityMahoShojo par1EntityMahoShojo, double par2, double par4, double par6, float par8, float par9)
    {
        if (par1EntityMahoShojo.isTransformation() && this.mainModel == this.modelNormal)
        {
        	this.mainModel = this.modelMS;
        	this.modelBipedMain = this.modelMS;
        }
        else if (!par1EntityMahoShojo.isTransformation() && this.mainModel == this.modelMS)
        {
        	this.mainModel = this.modelNormal;
        	this.modelBipedMain = this.modelNormal;
        }
        this.modelBipedMain.aimedBow = par1EntityMahoShojo.isPosture();
        super.doRenderLiving(par1EntityMahoShojo, par2, par4, par6, par8, par9);
    }

    @Override
    public void doRenderLiving(EntityLiving par1EntityLiving, double par2, double par4, double par6, float par8, float par9)
    {
        this.doRenderMahoShojo((EntityMahoShojo)par1EntityLiving, par2, par4, par6, par8, par9);
    }

    @Override
    public void doRender(Entity par1Entity, double par2, double par4, double par6, float par8, float par9)
    {
        this.doRenderMahoShojo((EntityMahoShojo)par1Entity, par2, par4, par6, par8, par9);
    }
}