package PuellaMagi.mods.client;

import net.minecraft.client.model.ModelBiped;
import net.minecraft.client.renderer.entity.RenderBiped;
import net.minecraft.entity.Entity;
import net.minecraft.entity.EntityLiving;

import org.lwjgl.opengl.GL11;

import PuellaMagi.mods.EntityMajo;
import PuellaMagi.mods.EntityShadowPuellaMagi;

public class RenderShadowPuellaMagi extends RenderBiped
{
    private ModelBiped ModelPuellaMagis[] = {new ModelMadokaMS(), new ModelHomuraMS(), new ModelSayakaMS(), new ModelMamiMS(), new ModelKyoukoMS()};
    private float scale;

    public RenderShadowPuellaMagi(ModelBiped par1ModelBiped, float par2, float par3)
    {
        super(par1ModelBiped, par2);
        this.scale = par3;
    }

    protected void preRenderScale(EntityMajo par1EntityMajo, float par2)
    {
        GL11.glScalef(this.scale, this.scale, this.scale);
    }

    @Override
    protected void preRenderCallback(EntityLiving par1EntityLiving, float par2)
    {
        this.preRenderScale((EntityMajo)par1EntityLiving, par2);
    }

    public void doRenderShadowPuellaMagi(EntityShadowPuellaMagi par1EntityShadowPuellaMagi, double par2, double par4, double par6, float par8, float par9)
    {
        int var1 = par1EntityShadowPuellaMagi.getPuellaMagiType();
        if (var1 == 0 && this.mainModel != this.ModelPuellaMagis[0])
        {
        	this.mainModel = this.modelBipedMain = this.ModelPuellaMagis[0];
        }
        else if (var1 == 1 && this.mainModel != this.ModelPuellaMagis[1])
        {
        	this.mainModel = this.modelBipedMain = this.ModelPuellaMagis[1];
        }
        else if (var1 == 2 && this.mainModel != this.ModelPuellaMagis[2])
        {
        	this.mainModel = this.modelBipedMain = this.ModelPuellaMagis[2];
        }
        else if (var1 == 3 && this.mainModel != this.ModelPuellaMagis[3])
        {
        	this.mainModel = this.modelBipedMain = this.ModelPuellaMagis[3];
        }
        else if (var1 == 4 && this.mainModel != this.ModelPuellaMagis[4])
        {
        	this.mainModel = this.modelBipedMain = this.ModelPuellaMagis[4];
        }
        this.modelBipedMain.aimedBow = var1 == 0 || var1 == 1 || var1 == 3;
        super.doRenderLiving(par1EntityShadowPuellaMagi, par2, par4, par6, par8, par9);
    }

    @Override
    public void doRenderLiving(EntityLiving par1EntityLiving, double par2, double par4, double par6, float par8, float par9)
    {
        this.doRenderShadowPuellaMagi((EntityShadowPuellaMagi)par1EntityLiving, par2, par4, par6, par8, par9);
    }

    @Override
    public void doRender(Entity par1Entity, double par2, double par4, double par6, float par8, float par9)
    {
        this.doRenderShadowPuellaMagi((EntityShadowPuellaMagi)par1Entity, par2, par4, par6, par8, par9);
    }
}