package PuellaMagi.mods.client;

import net.minecraft.client.model.ModelBase;
import net.minecraft.entity.EntityLiving;
import net.minecraft.entity.boss.BossStatus;
import PuellaMagi.mods.EntityWalpurgisnacht;

public class RenderWalpurgisnacht extends RenderMajo
{
    public RenderWalpurgisnacht(ModelBase par1ModelBase, float par2, float par3)
    {
        super(par1ModelBase, par2, par3);
    }

    @Override
    protected float handleRotationFloat(EntityLiving par1EntityLiving, float par2)
    {
        return this.getShaftRotation((EntityWalpurgisnacht)par1EntityLiving, par2);
    }

    private float getShaftRotation(EntityWalpurgisnacht par1Entity, float par2)
    {
        return par1Entity.getShaftRotation();
    }

    @Override
    public void doRenderLiving(EntityLiving par1EntityLiving, double par2, double par4, double par6, float par8, float par9)
    {
        this.renderBoss((EntityWalpurgisnacht)par1EntityLiving, par2, par4, par6, par8, par9);
        super.doRenderLiving(par1EntityLiving, par2, par4, par6, par8, par9);
    }

    public void renderBoss(EntityWalpurgisnacht par1EntityWalpurgisnacht, double par2, double par4, double par6, float par8, float par9)
    {
        BossStatus.func_82824_a(par1EntityWalpurgisnacht, true);
        super.doRenderLiving(par1EntityWalpurgisnacht, par2, par4, par6, par8, par9);
    }
}