package PuellaMagi.mods;

import net.minecraft.entity.EntityLiving;

public class EntityMadomagiAIOwnerHurtTarget extends EntityMadomagiAITarget
{
    private EntityMadomagi theHost;
    private EntityLiving theTarget;

    public EntityMadomagiAIOwnerHurtTarget(EntityMadomagi par1EntityMadomagi)
    {
        super(par1EntityMadomagi, 32.0F, false);
        this.theHost = par1EntityMadomagi;
        this.setMutexBits(1);
    }

    @Override
    public boolean shouldExecute()
    {
        if (!this.theHost.isEnable())
        {
            return false;
        }
        else
        {
        	EntityLiving var1 = this.theHost.getOwner();

        	if (var1 == null)
        	{
        		return false;
        	}
        	else
        	{
        		this.theTarget = var1.getLastAttackingEntity();
        		return this.isMadomagiSuitableTarget(this.theTarget, false);
        	}
        }
    }

    @Override
    public void startExecuting()
    {
        this.taskOwner.setAttackTarget(this.theTarget);
        super.startExecuting();
    }
}