package PuellaMagi.mods;

import net.minecraft.entity.player.EntityPlayer;
import net.minecraft.item.EnumToolMaterial;
import net.minecraft.item.ItemStack;
import net.minecraft.item.ItemSword;
import net.minecraft.world.World;

public class ItemMadomagiWeapon extends ItemSword
{
    public ItemMadomagiWeapon(int par1)
    {
        super(par1, EnumToolMaterial.EMERALD);
    }

    @Override
    public ItemStack onItemRightClick(ItemStack par1ItemStack, World par2World, EntityPlayer par3EntityPlayer)
    {
        if (!par3EntityPlayer.capabilities.isCreativeMode)
        {
        	--par1ItemStack.stackSize;
        }

        par2World.playSoundAtEntity(par3EntityPlayer, "random.bow", 0.5F, 0.4F / (itemRand.nextFloat() * 0.4F + 0.8F));

        if (!par2World.isRemote)
        {
        	if (par1ItemStack.getItem().shiftedIndex == mod_QB.sayakaCutlass.shiftedIndex)
        	{
        		EntityCutlass var1 = new EntityCutlass(par2World, par3EntityPlayer, 2.0F);
        		var1.setDamage(var1.getDamage() + 5);
        		par2World.spawnEntityInWorld(var1);
        	}
        	else if (par1ItemStack.getItem().shiftedIndex == mod_QB.kyoukoSpear.shiftedIndex)
        	{
        		EntitySpear var1 = new EntitySpear(par2World, par3EntityPlayer, 2.0F);
        		var1.setDamage(var1.getDamage() + 5);
        		par2World.spawnEntityInWorld(var1);
        	}
        }

        return par1ItemStack;
    }

    @Override
    public String getTextureFile()
    {
        return "/PuellaMagi/Items/madomagiItem.png";
    }
}