package PuellaMagi.mods.client;

import net.minecraft.client.model.ModelBiped;
import net.minecraft.client.model.ModelRenderer;
import net.minecraft.entity.Entity;
import net.minecraft.util.MathHelper;

public class ModelHomuraMS extends ModelBiped
{
    public ModelRenderer RightLong1;
    public ModelRenderer RightLong2;
    public ModelRenderer RightLong3;
    public ModelRenderer RightLong4;
    public ModelRenderer LeftLong1;
    public ModelRenderer LeftLong2;
    public ModelRenderer LeftLong3;
    public ModelRenderer LeftLong4;

    public ModelRenderer shield;

    /*public ModelRenderer skirtbase;
    public ModelRenderer skirtF1;
    public ModelRenderer skirtF2;
    public ModelRenderer skirtL1;
    public ModelRenderer skirtL2;
    public ModelRenderer skirtR1;
    public ModelRenderer skirtR2;
    public ModelRenderer skirtB1;
    public ModelRenderer skirtB2;*/

    public ModelHomuraMS()
    {
        this(0.0F);
    }

    public ModelHomuraMS(float par1)
    {
        this(par1, 0.0F, 64, 64);
    }

    public ModelHomuraMS(float par1, float par2, int par3, int par4)
    {
        super(par1, par2, par3, par4);

        this.RightLong1 = new ModelRenderer(this, 56, 18);
        this.RightLong1.addBox(-2.0F, 0.0F, 0.0F, 2, 6, 2, par1);
        this.RightLong1.setRotationPoint(-2.0F, 0.0F + par2, 2.0F);
        this.RightLong2 = new ModelRenderer(this, 56, 18);
        this.RightLong2.addBox(-2.0F, 0.0F, 0.0F, 2, 6, 2, par1);
        this.RightLong2.setRotationPoint(0.0F, 0.0F + par2, 2.0F);
        this.RightLong3 = new ModelRenderer(this, 56, 18);
        this.RightLong3.addBox(-2.0F, 0.0F, 0.0F, 2, 6, 2, par1);
        this.RightLong3.setRotationPoint(0.0F, 6.0F + par2, 0.0F);
        this.RightLong4 = new ModelRenderer(this, 56, 18);
        this.RightLong4.addBox(-2.0F, 0.0F, 0.0F, 2, 6, 2, par1);
        this.RightLong4.setRotationPoint(0.0F, 6.0F + par2, 0.0F);
        this.bipedHead.addChild(this.RightLong1);
        this.bipedHead.addChild(this.RightLong2);
        this.RightLong1.addChild(this.RightLong3);
        this.RightLong2.addChild(this.RightLong4);

        this.LeftLong1 = new ModelRenderer(this, 56, 18);
        this.LeftLong1.mirror = true;
        this.LeftLong1.addBox(0.0F, 0.0F, 0.0F, 2, 6, 2, par1);
        this.LeftLong1.setRotationPoint(2.0F, 0.0F + par2, 2.0F);
        this.LeftLong2 = new ModelRenderer(this, 56, 18);
        this.LeftLong2.mirror = true;
        this.LeftLong2.addBox(0.0F, 0.0F, 0.0F, 2, 6, 2, par1);
        this.LeftLong2.setRotationPoint(0.0F, 0.0F + par2, 2.0F);
        this.LeftLong3 = new ModelRenderer(this, 56, 18);
        this.LeftLong3.mirror = true;
        this.LeftLong3.addBox(0.0F, 0.0F, 0.0F, 2, 6, 2, par1);
        this.LeftLong3.setRotationPoint(0.0F, 6.0F + par2, 0.0F);
        this.LeftLong4 = new ModelRenderer(this, 56, 18);
        this.LeftLong4.mirror = true;
        this.LeftLong4.addBox(0.0F, 0.0F, 0.0F, 2, 6, 2, par1);
        this.LeftLong4.setRotationPoint(0.0F, 6.0F + par2, 0.0F);
        this.bipedHead.addChild(this.LeftLong1);
        this.bipedHead.addChild(this.LeftLong2);
        this.LeftLong1.addChild(this.LeftLong3);
        this.LeftLong2.addChild(this.LeftLong4);

        this.shield = new ModelRenderer(this, 0, 32);
        this.shield.addBox(0.0F, -2.5F, -2.5F, 1, 5, 5, par1);
        this.shield.setRotationPoint(3.0F, 6.0F + par2, 0.0F);
        this.bipedLeftArm.addChild(this.shield);

        /*this.skirtbase = new ModelRenderer(this);
        this.skirtbase.setRotationPoint(0.0F, 6.5F, 0.0F);
        this.skirtF1 = new ModelRenderer(this, 0, 48);
        this.skirtF1.addBox(-7.2F, 2.0F, -1.5F, 8, 7, 0, par1);
        this.skirtF1.setRotationPoint(0.0F, 0.0F + par2, 0.0F);
        this.skirtF2 = new ModelRenderer(this, 0, 48);
        this.skirtF2.mirror = true;
        this.skirtF2.addBox(-0.8F, 2.0F, -1.5F, 8, 7, 0, par1);
        this.skirtF2.setRotationPoint(0.0F, 0.0F + par2, 0.0F);
        this.skirtR1 = new ModelRenderer(this, 3, 48);
        this.skirtR1.addBox(-6.0F, 2.0F, -1.0F, 6, 7, 0, par1);
        this.skirtR1.setRotationPoint(0.0F, 0.0F + par2, 0.0F);
        this.skirtR2 = new ModelRenderer(this, 3, 48);
        this.skirtR2.mirror = true;
        this.skirtR2.addBox(0.0F, 2.0F, -1.0F, 6, 7, 0, par1);
        this.skirtR2.setRotationPoint(0.0F, 0.0F + par2, 0.0F);
        this.skirtL1 = new ModelRenderer(this, 3, 48);
        this.skirtL1.mirror = true;
        this.skirtL1.addBox(0.0F, 2.0F, 1.0F, 6, 7, 0, par1);
        this.skirtL1.setRotationPoint(0.0F, 0.0F + par2, 0.0F);
        this.skirtL2 = new ModelRenderer(this, 3, 48);
        this.skirtL2.addBox(-6.0F, 2.0F, 1.0F, 6, 7, 0, par1);
        this.skirtL2.setRotationPoint(0.0F, 0.0F + par2, 0.0F);
        this.skirtB1 = new ModelRenderer(this, 0, 48);
        this.skirtB1.mirror = true;
        this.skirtB1.addBox(-0.8F, 2.0F, 1.5F, 8, 7, 0, par1);
        this.skirtB1.setRotationPoint(0.0F, 0.0F + par2, 0.0F);
        this.skirtB2 = new ModelRenderer(this, 0, 48);
        this.skirtB2.addBox(-7.3F, 2.0F, 1.5F, 8, 7, 0, par1);
        this.skirtB2.setRotationPoint(0.0F, 0.0F + par2, 0.0F);
        this.bipedBody.addChild(this.skirtbase);
        this.skirtbase.addChild(this.skirtF1);
        this.skirtbase.addChild(this.skirtF2);
        this.skirtbase.addChild(this.skirtR1);
        this.skirtbase.addChild(this.skirtR2);
        this.skirtbase.addChild(this.skirtL1);
        this.skirtbase.addChild(this.skirtL2);
        this.skirtbase.addChild(this.skirtB1);
        this.skirtbase.addChild(this.skirtB2);*/
    }

    @Override
    public void setRotationAngles(float par1, float par2, float par3, float par4, float par5, float par6, Entity par7Entity)
    {
        super.setRotationAngles(par1, par2, par3, par4, par5, par6, par7Entity);

        this.LeftLong1.rotateAngleX = this.LeftLong2.rotateAngleX = this.RightLong1.rotateAngleX = this.RightLong2.rotateAngleX = this.bipedHead.rotateAngleX > 0 ? -this.bipedHead.rotateAngleX / 2F : -this.bipedHead.rotateAngleX;

        float var1 = MathHelper.sin(par3 * 0.08F) * 0.1F;
        this.RightLong1.rotateAngleZ = -var1 + 0.1F;
        this.RightLong2.rotateAngleZ = (-var1 + 0.1F) * 0.5F;
        this.RightLong3.rotateAngleZ = -var1 + 0.34907F;
        this.RightLong4.rotateAngleZ = (-var1 + 0.34907F) * 0.5F;
        this.LeftLong1.rotateAngleZ = var1 -0.1F;
        this.LeftLong2.rotateAngleZ = (var1 -0.1F) * 0.5F;
        this.LeftLong3.rotateAngleZ = var1 - 0.34907F;
        this.LeftLong4.rotateAngleZ = (var1 - 0.34907F) * 0.5F;

        this.shield.rotateAngleX = (float)Math.PI / 4.0F;

        /*this.skirtB2.rotateAngleY = this.skirtB2.rotateAngleZ = this.skirtF1.rotateAngleZ = this.skirtF2.rotateAngleY = -0.2618F;
        this.skirtF1.rotateAngleY = this.skirtF2.rotateAngleZ = this.skirtB1.rotateAngleY = this.skirtB1.rotateAngleZ = 0.2618F;
        this.skirtR1.rotateAngleX = this.skirtR2.rotateAngleX = -0.61087F;
        this.skirtL1.rotateAngleX = this.skirtL2.rotateAngleX = 0.61087F;
        this.skirtR1.rotateAngleY = this.skirtR2.rotateAngleY = this.skirtL1.rotateAngleY = this.skirtL2.rotateAngleY = 1.5708F;
        this.skirtF1.rotateAngleX = this.skirtF2.rotateAngleX = -0.7854F;
        this.skirtB1.rotateAngleX = this.skirtB2.rotateAngleX = 0.7854F;*/
    }
}