package PuellaMagi.mods.client;

import net.minecraft.client.model.ModelBase;
import net.minecraft.client.model.ModelRenderer;
import net.minecraft.entity.Entity;
import net.minecraft.entity.EntityLiving;
import net.minecraft.util.MathHelper;

import org.lwjgl.opengl.GL11;

import PuellaMagi.mods.EntityQB;

public class ModelQB extends ModelBase
{
    public ModelRenderer Head;
    public ModelRenderer Body1;
    public ModelRenderer Body2;
    public ModelRenderer RightLegA;
    public ModelRenderer RightLegP;
    public ModelRenderer LeftLegA;
    public ModelRenderer LeftLegP;
    public ModelRenderer Tail1;
    public ModelRenderer Tail2;
    public ModelRenderer Tail3;
    public ModelRenderer RightEar1;
    public ModelRenderer RightEar2;
    public ModelRenderer RightEar3;
    public ModelRenderer RightEar4;
    public ModelRenderer RightEar5A;
    public ModelRenderer RightEar5M;
    public ModelRenderer RightEar5P;
    public ModelRenderer RightEar6;
    public ModelRenderer LeftEar1;
    public ModelRenderer LeftEar2;
    public ModelRenderer LeftEar3;
    public ModelRenderer LeftEar4;
    public ModelRenderer LeftEar5A;
    public ModelRenderer LeftEar5M;
    public ModelRenderer LeftEar5P;
    public ModelRenderer LeftEar6;
    int field_78163_i = 1;

    public ModelQB()
    {
        this.textureWidth = 64;
        this.textureHeight = 32;

        this.Head = new ModelRenderer(this, 0, 0);
        this.Head.addBox(-2.5F, -2F, -1F, 5, 4, 3);
        this.Head.setRotationPoint(0F, 17.5F, -7F);

        this.Body1 = new ModelRenderer(this, 16, 0);
        this.Body1.addBox(-1.5F, -2F, -1.5F, 3, 4, 3);
        this.Body1.setRotationPoint(0F, 18F, -3F);
        this.Body2 = new ModelRenderer(this, 28, 0);
        this.Body2.addBox(-2F, -2F, -1.5F, 4, 5, 3);
        this.Body2.setRotationPoint(0.0F, 4.0F, 0.0F);
        this.Body1.addChild(this.Body2);

        this.RightLegA = new ModelRenderer(this, 0, 7);
        this.RightLegA.addBox(-0.5F, 0F, -0.5F, 1, 5, 1);
        this.RightLegA.setRotationPoint(-1F, 19F, -4F);
        this.RightLegP = new ModelRenderer(this, 0, 7);
        this.RightLegP.addBox(-0.5F, 0F, -0.5F, 1, 5, 1);
        this.RightLegP.setRotationPoint(-1.5F, 19F, 3F);
        this.LeftLegA = new ModelRenderer(this, 0, 7);
        this.LeftLegA.mirror = true;
        this.LeftLegA.addBox(-0.5F, 0F, -0.5F, 1, 5, 1);
        this.LeftLegA.setRotationPoint(1F, 19F, -4F);
        this.LeftLegP = new ModelRenderer(this, 0, 7);
        this.LeftLegP.mirror = true;
        this.LeftLegP.addBox(-0.5F, 0F, -0.5F, 1, 5, 1);
        this.LeftLegP.setRotationPoint(1.5F, 19F, 3F);

        this.Tail1 = new ModelRenderer(this, 4, 7);
        this.Tail1.addBox(-0.5F, 0.0F, -0.5F, 1, 2, 1);
        this.Tail1.setRotationPoint(0.0F, 16.0F, 4.0F);
        this.Tail2 = new ModelRenderer(this, 8, 7);
        this.Tail2.addBox(-1.0F, 0.0F, -1.0F, 2, 6, 2);
        this.Tail2.setRotationPoint(0.0F, 2.0F, 0.0F);
        this.Tail3 = new ModelRenderer(this, 4, 10);
        this.Tail3.addBox(-0.5F, 0F, -0.5F, 1, 4, 1);
        this.Tail3.setRotationPoint(0.0F, 6.0F, 0.0F);
        this.Tail1.addChild(this.Tail2);
        this.Tail2.addChild(this.Tail3);

        this.RightEar1 = new ModelRenderer(this, 16, 7);
        this.RightEar1.addBox(-1.0F, -1.0F, -0.5F, 2, 1, 1);
        this.RightEar1.setRotationPoint(-1.5F, -2.0F, 1.5F);
        this.RightEar2 = new ModelRenderer(this, 16, 9);
        this.RightEar2.addBox(-0.5F, -1.0F, -0.5F, 1, 1, 1);
        this.RightEar2.setRotationPoint(0.0F, -1.0F, 0.0F);
        this.RightEar3 = new ModelRenderer(this, 16, 11);
        this.RightEar3.addBox(-4.0F, -0.5F, -0.5F, 4, 1, 1);
        this.RightEar3.setRotationPoint(-1.5F, -2.0F, 1.0F);
        this.RightEar4 = new ModelRenderer(this, 16, 13);
        this.RightEar4.addBox(-2F, -0.5F, -1.5F, 2, 1, 3);
        this.RightEar4.setRotationPoint(-4.0F, 0.0F, 0.0F);
        this.RightEar5A = new ModelRenderer(this, 22, 7);
        this.RightEar5A.addBox(-2.0F, -0.5F, -0.5F, 2, 1, 1);
        this.RightEar5A.setRotationPoint(-2.0F, 0.0F, -1.0F);
        this.RightEar5M = new ModelRenderer(this, 22, 7);
        this.RightEar5M.addBox(-2.0F, -0.5F, -0.5F, 2, 1, 1);
        this.RightEar5M.setRotationPoint(-2.0F, 0.0F, 0.0F);
        this.RightEar5P = new ModelRenderer(this, 22, 7);
        this.RightEar5P.addBox(-2.0F, -0.5F, -0.5F, 2, 1, 1);
        this.RightEar5P.setRotationPoint(-2.0F, 0.0F, 1.0F);
        this.RightEar6 = new ModelRenderer(this, 16, 14);
        this.RightEar6.addBox(0.0F, -1.5F, -1.5F, 0, 3, 3);
        this.RightEar6.setRotationPoint(-3.0F, 0.0F, 0.0F);
        this.Head.addChild(this.RightEar1);
        this.RightEar1.addChild(this.RightEar2);
        this.Head.addChild(this.RightEar3);
        this.RightEar3.addChild(this.RightEar4);
        this.RightEar4.addChild(this.RightEar5A);
        this.RightEar4.addChild(this.RightEar5M);
        this.RightEar4.addChild(this.RightEar5P);
        this.RightEar3.addChild(this.RightEar6);

        this.LeftEar1 = new ModelRenderer(this, 16, 7);
        this.LeftEar1.mirror = true;
        this.LeftEar1.addBox(-1.0F, -1.0F, -0.5F, 2, 1, 1);
        this.LeftEar1.setRotationPoint(1.5F, -2.0F, 1.5F);
        this.LeftEar2 = new ModelRenderer(this, 16, 9);
        this.LeftEar2.mirror = true;
        this.LeftEar2.addBox(-0.5F, -1.0F, -0.5F, 1, 1, 1);
        this.LeftEar2.setRotationPoint(0.0F, -1.0F, 0.0F);
        this.LeftEar3 = new ModelRenderer(this, 16, 11);
        this.LeftEar3.mirror = true;
        this.LeftEar3.addBox(0F, -0.5F, -0.5F, 4, 1, 1);
        this.LeftEar3.setRotationPoint(1.5F, -2.0F, 1.0F);
        this.LeftEar4 = new ModelRenderer(this, 16, 13);
        this.LeftEar4.mirror = true;
        this.LeftEar4.addBox(0.0F, -0.5F, -1.5F, 2, 1, 3);
        this.LeftEar4.setRotationPoint(4.0F, 0.0F, 0.0F);
        this.LeftEar5A = new ModelRenderer(this, 22, 7);
        this.LeftEar5A.mirror = true;
        this.LeftEar5A.addBox(0.0F, -0.5F, -0.5F, 2, 1, 1);
        this.LeftEar5A.setRotationPoint(2.0F, 0.0F, -1.0F);
        this.LeftEar5M = new ModelRenderer(this, 22, 7);
        this.LeftEar5M.mirror = true;
        this.LeftEar5M.addBox(0.0F, -0.5F, -0.5F, 2, 1, 1);
        this.LeftEar5M.setRotationPoint(2.0F, 0.0F, 0.0F);
        this.LeftEar5P = new ModelRenderer(this, 22, 7);
        this.LeftEar5P.mirror = true;
        this.LeftEar5P.addBox(0.0F, -0.5F, -0.5F, 2, 1, 1);
        this.LeftEar5P.setRotationPoint(2.0F, 0.0F, 1.0F);
        this.LeftEar6 = new ModelRenderer(this, 16, 14);
        this.LeftEar6.mirror = true;
        this.LeftEar6.addBox(0.0F, -1.5F, -1.5F, 0, 3, 3);
        this.LeftEar6.setRotationPoint(3.0F, 0.0F, 0.0F);
        this.Head.addChild(this.LeftEar1);
        this.LeftEar1.addChild(this.LeftEar2);
        this.Head.addChild(this.LeftEar3);
        this.LeftEar3.addChild(this.LeftEar4);
        this.LeftEar4.addChild(this.LeftEar5A);
        this.LeftEar4.addChild(this.LeftEar5M);
        this.LeftEar4.addChild(this.LeftEar5P);
        this.LeftEar3.addChild(this.LeftEar6);
    }

    @Override
    public void render(Entity par1Entity, float par2, float par3, float par4, float par5, float par6, float par7)
    {
        this.setRotationAngles(par2, par3, par4, par5, par6, par7, par1Entity);

        if (this.isChild)
        {
            float var8 = 2.0F;
            GL11.glPushMatrix();
            GL11.glScalef(1.5F / var8, 1.5F / var8, 1.5F / var8);
            GL11.glTranslatef(0.0F, 10.0F * par7, 4.0F * par7);
            this.Head.render(par7);
            GL11.glPopMatrix();
            GL11.glPushMatrix();
            GL11.glScalef(1.0F / var8, 1.0F / var8, 1.0F / var8);
            GL11.glTranslatef(0.0F, 24.0F * par7, 0.0F);
            this.Body1.render(par7);
            this.RightLegA.render(par7);
            this.RightLegP.render(par7);
            this.LeftLegA.render(par7);
            this.LeftLegP.render(par7);
            this.Tail1.render(par7);
            GL11.glPopMatrix();
        }
        else
        {
            this.Head.render(par7);
            this.Body1.render(par7);
            this.RightLegA.render(par7);
            this.RightLegP.render(par7);
            this.LeftLegA.render(par7);
            this.LeftLegP.render(par7);
            this.Tail1.render(par7);
        }
    }

    @Override
    public void setRotationAngles(float par1, float par2, float par3, float par4, float par5, float par6, Entity par7Entity)
    {
        this.Head.rotateAngleX = par5 / (180F / (float)Math.PI);
        this.Head.rotateAngleY = par4 / (180F / (float)Math.PI);
        this.RightEar3.rotateAngleZ = -0.8726646F - MathHelper.sin(par3 * 0.05F) * 0.1F;
        this.LeftEar3.rotateAngleZ = 0.8726646F + MathHelper.sin(par3 * 0.05F) * 0.1F;
        float var2 = 0.23F + MathHelper.sin(par3 * 0.05F) * 0.1F;
        this.RightEar5A.rotateAngleY = this.LeftEar5P.rotateAngleY = -var2;
        this.RightEar5P.rotateAngleY = this.LeftEar5A.rotateAngleY = var2;

        if (this.field_78163_i != 3)
        {
            this.Body1.rotateAngleX = ((float)Math.PI / 2F);

            if (this.field_78163_i == 2)
            {
                this.LeftLegP.rotateAngleX = MathHelper.cos(par1 * 0.6662F) * 1.0F * par2;
                this.RightLegP.rotateAngleX = MathHelper.cos(par1 * 0.6662F + 0.3F) * 1.0F * par2;
                this.LeftLegA.rotateAngleX = MathHelper.cos(par1 * 0.6662F + (float)Math.PI + 0.3F) * 1.0F * par2;
                this.RightLegA.rotateAngleX = MathHelper.cos(par1 * 0.6662F + (float)Math.PI) * 1.0F * par2;
                this.Tail2.rotateAngleX = 1.7278761F + ((float)Math.PI / 10F) * MathHelper.cos(par1) * par2;
                this.RightEar3.rotateAngleZ += MathHelper.cos(par1 * 0.6662F + (float)Math.PI) * 0.4F * par2;
                this.LeftEar3.rotateAngleZ += -MathHelper.cos(par1 * 0.6662F + (float)Math.PI) * 0.4F * par2;
            }
            else
            {
                this.LeftLegP.rotateAngleX = MathHelper.cos(par1 * 0.6662F) * 1.0F * par2;
                this.RightLegP.rotateAngleX = MathHelper.cos(par1 * 0.6662F + (float)Math.PI) * 1.0F * par2;
                this.LeftLegA.rotateAngleX = MathHelper.cos(par1 * 0.6662F + (float)Math.PI) * 1.0F * par2;
                this.RightLegA.rotateAngleX = MathHelper.cos(par1 * 0.6662F) * 1.0F * par2;

                if (this.field_78163_i == 1)
                {
                    this.Tail2.rotateAngleX = 1.7278761F + ((float)Math.PI / 4F) * MathHelper.cos(par1 * 0.6662F) * par2;
                    this.RightEar3.rotateAngleZ += MathHelper.cos(par1 * 0.6662F) * 0.2F * par2;
                    this.LeftEar3.rotateAngleZ += -MathHelper.cos(par1 * 0.6662F) * 0.2F * par2;
                }
                else
                {
                    this.Tail2.rotateAngleX = 1.7278761F + 0.47123894F * MathHelper.cos(par1) * par2;
                }
            }
        }
    }

    @Override
    public void setLivingAnimations(EntityLiving par1EntityLiving, float par2, float par3, float par4)
    {
        EntityQB var5 = (EntityQB)par1EntityLiving;
        this.Body1.rotationPointY = 18.0F;
        this.Body1.rotationPointZ = -3.0F;
        this.Head.rotationPointY = 17.5F;
        this.Head.rotationPointZ = -7.0F;
        this.Tail1.rotationPointY = 16.0F;
        this.Tail1.rotationPointZ = 4.0F;
        this.LeftLegA.rotationPointY = this.RightLegA.rotationPointY = 19.0F;
        this.LeftLegA.rotationPointZ = this.RightLegA.rotationPointZ = -4.0F;
        this.LeftLegP.rotationPointY = this.RightLegP.rotationPointY = 19.0F;
        this.LeftLegP.rotationPointZ = this.RightLegP.rotationPointZ = 3.0F;
        this.Tail1.rotateAngleX = 0.9F;

        if (var5.isSneaking())
        {
            ++this.Body1.rotationPointY;
            this.Head.rotationPointY += 2.0F;
            ++this.Tail1.rotationPointY;
            this.Tail1.rotateAngleX = ((float)Math.PI / 2F);
            this.Tail2.rotateAngleX = ((float)Math.PI / 2F);
            this.field_78163_i = 0;
        }
        else if (var5.isSprinting())
        {
            this.Tail1.rotateAngleX = ((float)Math.PI / 2F);
            this.Tail2.rotateAngleX = ((float)Math.PI / 2F);
            this.field_78163_i = 2;
        }
        else if (var5.isStandbyMode())
        {
            this.Body1.rotateAngleX = ((float)Math.PI / 4F);
            //this.Body1.rotationPointY += -4.0F;
            //this.Body1.rotationPointZ += 5.0F;
            this.Head.rotationPointY += -1.3F;
            //++this.Head.rotationPointZ;
            this.Tail1.rotationPointY += 5.0F;
            this.Tail1.rotationPointZ += -1.0F;
            this.Tail1.rotateAngleX = 1.7278761F;
            //this.Tail2.rotateAngleX = 2.670354F;
            this.LeftLegA.rotateAngleX = this.RightLegA.rotateAngleX = -0.15707964F;
            //this.LeftLegA.rotationPointY = this.RightLegA.rotationPointY = 15.8F;
            //this.LeftLegA.rotationPointZ = this.RightLegA.rotationPointZ = -7.0F;
            this.LeftLegP.rotateAngleX = this.RightLegP.rotateAngleX = -((float)Math.PI / 2F);
            this.LeftLegP.rotationPointY = this.RightLegP.rotationPointY = 23.0F;
            this.LeftLegP.rotationPointZ = this.RightLegP.rotationPointZ = 1.0F;
            this.field_78163_i = 3;
        }
        else
        {
            this.field_78163_i = 1;
        }
    }
}