package PuellaMagi.mods.client;

import net.minecraft.client.model.ModelBase;
import net.minecraft.client.model.ModelRenderer;
import net.minecraft.entity.Entity;
import net.minecraft.entity.EntityLiving;
import net.minecraft.util.MathHelper;

public class ModelWalpurgisnacht extends ModelBase
{
    public ModelRenderer Shaft;

    public ModelRenderer GearTop;
    public ModelRenderer GearTopL1;
    public ModelRenderer GearTopL2;
    public ModelRenderer GearTopL3;
    public ModelRenderer GearTopL4;
    public ModelRenderer GearTopL5;
    public ModelRenderer GearTopL6;
    public ModelRenderer GearTopS1;
    public ModelRenderer GearTopS2;
    public ModelRenderer GearTopS3;
    public ModelRenderer GearTopS4;
    public ModelRenderer GearTopS5;
    public ModelRenderer GearTopS6;

    public ModelRenderer GearSecond;
    public ModelRenderer GearSecond1L1;
    public ModelRenderer GearSecond1L2;
    public ModelRenderer GearSecond1L3;
    public ModelRenderer GearSecond2L1;
    public ModelRenderer GearSecond2L2;
    public ModelRenderer GearSecond2L3;
    public ModelRenderer GearSecond3L1;
    public ModelRenderer GearSecond3L2;
    public ModelRenderer GearSecond3L3;
    public ModelRenderer GearSecond3L4;
    public ModelRenderer GearSecond3L5;
    public ModelRenderer GearSecond3L6;
    public ModelRenderer GearSecond3S1;
    public ModelRenderer GearSecond3S2;
    public ModelRenderer GearSecond3S3;

    public ModelRenderer GearThird;
    public ModelRenderer GearThirdL1;
    public ModelRenderer GearThirdL2;
    public ModelRenderer GearThirdL3;
    public ModelRenderer GearThirdL4;
    public ModelRenderer GearThirdL5;
    public ModelRenderer GearThirdL6;
    public ModelRenderer GearThirdL7;
    public ModelRenderer GearThirdL8;
    public ModelRenderer GearThirdL9;
    public ModelRenderer GearThirdL10;
    public ModelRenderer GearThirdL11;
    public ModelRenderer GearThirdL12;
    public ModelRenderer GearThirdS1;
    public ModelRenderer GearThirdS2;
    public ModelRenderer GearThirdS3;
    public ModelRenderer GearThirdS4;
    public ModelRenderer GearThirdS5;
    public ModelRenderer GearThirdS6;
    public ModelRenderer GearThirdS7;
    public ModelRenderer GearThirdS8;
    public ModelRenderer GearThirdS9;
    public ModelRenderer GearThirdS10;
    public ModelRenderer GearThirdS11;
    public ModelRenderer GearThirdS12;

    public ModelRenderer GearFourth;
    public ModelRenderer GearFourthL1;
    public ModelRenderer GearFourthL2;
    public ModelRenderer GearFourthL3;
    public ModelRenderer GearFourthL4;
    public ModelRenderer GearFourthL5;
    public ModelRenderer GearFourthL6;
    public ModelRenderer GearFourthL7;
    public ModelRenderer GearFourthL8;
    public ModelRenderer GearFourthL9;
    public ModelRenderer GearFourthS1;
    public ModelRenderer GearFourthS2;
    public ModelRenderer GearFourthS3;
    public ModelRenderer GearFourthS4;
    public ModelRenderer GearFourthS5;
    public ModelRenderer GearFourthS6;
    public ModelRenderer GearFourthS7;
    public ModelRenderer GearFourthS8;
    public ModelRenderer GearFourthS9;

    public ModelRenderer GearFifth;
    public ModelRenderer GearFifthL1;
    public ModelRenderer GearFifthL2;
    public ModelRenderer GearFifthL3;
    public ModelRenderer GearFifthL4;
    public ModelRenderer GearFifthL5;
    public ModelRenderer GearFifthL6;
    public ModelRenderer GearFifthL7;
    public ModelRenderer GearFifthL8;
    public ModelRenderer GearFifthL9;
    public ModelRenderer GearFifthS1;
    public ModelRenderer GearFifthS2;
    public ModelRenderer GearFifthS3;
    public ModelRenderer GearFifthS4;
    public ModelRenderer GearFifthS5;
    public ModelRenderer GearFifthS6;
    public ModelRenderer GearFifthS7;
    public ModelRenderer GearFifthS8;
    public ModelRenderer GearFifthS9;

    public ModelRenderer Body1;
    public ModelRenderer Body2;
    public ModelRenderer Neck;
    public ModelRenderer Head;
    public ModelRenderer RightEar1;
    public ModelRenderer RightEar2;
    public ModelRenderer LeftEar1;
    public ModelRenderer LeftEar2;
    public ModelRenderer RightArm1;
    public ModelRenderer RightArm2;
    public ModelRenderer RightArm3;
    public ModelRenderer LeftArm1;
    public ModelRenderer LeftArm2;
    public ModelRenderer LeftArm3;
    public ModelRenderer UnderSkirt1;
    public ModelRenderer UnderSkirt2;
    public ModelRenderer UnderSkirt3;
    public ModelRenderer Skirt1;
    public ModelRenderer Skirt2;
    public ModelRenderer Skirt3;
    public ModelRenderer Skirt4;
    public ModelRenderer Skirt5;

    private float checkHP = 0.0F;

    public ModelWalpurgisnacht()
    {
        this.textureWidth = 128;
        this.textureHeight = 128;

        this.Shaft = new ModelRenderer(this, 0, 0);
        this.Shaft.addBox(-0.5F, -10.0F, -0.5F, 1, 38, 1);
        this.Shaft.setRotationPoint(0F, -4.0F, 0F);

        this.GearTop = new ModelRenderer(this);
        this.GearTop.setRotationPoint(0.0F, 25.0F, 0.0F);
        this.GearTopL1 = new ModelRenderer(this, 102, 46);
        this.GearTopL1.addBox(-4F, -1F, -0.5F, 8, 2, 1);
        this.setRotation(this.GearTopL1, 0F, 0F, 0F);
        this.GearTopL2 = new ModelRenderer(this, 102, 46);
        this.GearTopL2.addBox(-4F, -1F, -0.5F, 8, 2, 1);
        this.setRotation(this.GearTopL2, 0F, 0.5235988F, 0F);
        this.GearTopL3 = new ModelRenderer(this, 102, 46);
        this.GearTopL3.addBox(-4F, -1F, -0.5F, 8, 2, 1);
        this.setRotation(this.GearTopL3, 0F, 1.047198F, 0F);
        this.GearTopL4 = new ModelRenderer(this, 102, 46);
        this.GearTopL4.addBox(-4F, -1F, -0.5F, 8, 2, 1);
        this.setRotation(this.GearTopL4, 0F, 1.570796F, 0F);
        this.GearTopL5 = new ModelRenderer(this, 102, 46);
        this.GearTopL5.addBox(-4F, -1F, -0.5F, 8, 2, 1);
        this.setRotation(this.GearTopL5, 0F, 2.094395F, 0F);
        this.GearTopL6 = new ModelRenderer(this, 102, 46);
        this.GearTopL6.addBox(-4F, -1F, -0.5F, 8, 2, 1);
        this.setRotation(this.GearTopL6, 0F, 2.617994F, 0F);
        this.GearTopS1 = new ModelRenderer(this, 102, 49);
        this.GearTopS1.addBox(-3F, -1F, -0.5F, 6, 2, 1);
        this.setRotation(this.GearTopS1, 0F, 0.2617994F, 0F);
        this.GearTopS2 = new ModelRenderer(this, 102, 49);
        this.GearTopS2.addBox(-3F, -1F, -0.5F, 6, 2, 1);
        this.setRotation(this.GearTopS2, 0F, 0.7853982F, 0F);
        this.GearTopS3 = new ModelRenderer(this, 102, 49);
        this.GearTopS3.addBox(-3F, -1F, -0.5F, 6, 2, 1);
        this.setRotation(this.GearTopS3, 0F, 1.308997F, 0F);
        this.GearTopS4 = new ModelRenderer(this, 102, 49);
        this.GearTopS4.addBox(-3F, -1F, -0.5F, 6, 2, 1);
        this.setRotation(this.GearTopS4, 0F, 1.832596F, 0F);
        this.GearTopS5 = new ModelRenderer(this, 102, 49);
        this.GearTopS5.addBox(-3F, -1F, -0.5F, 6, 2, 1);
        this.setRotation(this.GearTopS5, 0F, 2.356194F, 0F);
        this.GearTopS6 = new ModelRenderer(this, 102, 49);
        this.GearTopS6.addBox(-3F, -1F, -0.5F, 6, 2, 1);
        this.setRotation(this.GearTopS6, 0F, 2.879793F, 0F);
        this.Shaft.addChild(this.GearTop);
        this.GearTop.addChild(this.GearTopL1);
        this.GearTop.addChild(this.GearTopL2);
        this.GearTop.addChild(this.GearTopL3);
        this.GearTop.addChild(this.GearTopL4);
        this.GearTop.addChild(this.GearTopL5);
        this.GearTop.addChild(this.GearTopL6);
        this.GearTop.addChild(this.GearTopS1);
        this.GearTop.addChild(this.GearTopS2);
        this.GearTop.addChild(this.GearTopS3);
        this.GearTop.addChild(this.GearTopS4);
        this.GearTop.addChild(this.GearTopS5);
        this.GearTop.addChild(this.GearTopS6);

        this.GearSecond = new ModelRenderer(this);
        this.GearSecond.setRotationPoint(0.0F, 20.0F, 0.0F);
        this.GearSecond1L1 = new ModelRenderer(this, 80, 54);
        this.GearSecond1L1.addBox(-1.5F, -2.5F, -0.5F, 3, 5, 1);
        this.setRotation(this.GearSecond1L1, 0F, 0F, 0F);
        this.GearSecond1L2 = new ModelRenderer(this, 80, 54);
        this.GearSecond1L2.addBox(-1.5F, -2.5F, -0.5F, 3, 5, 1);
        this.setRotation(this.GearSecond1L2, 0F, 1.047198F, 0F);
        this.GearSecond1L3 = new ModelRenderer(this, 80, 54);
        this.GearSecond1L3.addBox(-1.5F, -2.5F, -0.5F, 3, 5, 1);
        this.setRotation(this.GearSecond1L3, 0F, 2.094395F, 0F);
        this.GearSecond2L1 = new ModelRenderer(this, 88, 54);
        this.GearSecond2L1.addBox(-3F, -1.5F, -0.5F, 6, 3, 1);
        this.setRotation(this.GearSecond2L1, 0F, 0.5235988F, 0F);
        this.GearSecond2L2 = new ModelRenderer(this, 88, 54);
        this.GearSecond2L2.addBox(-3F, -1.5F, -0.5F, 6, 3, 1);
        this.setRotation(this.GearSecond2L2, 0F, 1.570796F, 0F);
        this.GearSecond2L3 = new ModelRenderer(this, 88, 54);
        this.GearSecond2L3.addBox(-3F, -1.5F, -0.5F, 6, 3, 1);
        this.setRotation(this.GearSecond2L3, 0F, 2.617994F, 0F);
        this.GearSecond3L1 = new ModelRenderer(this, 80, 60);
        this.GearSecond3L1.addBox(-4.5F, -0.5F, -0.5F, 9, 1, 1);
        this.setRotation(this.GearSecond3L1, 0F, 0F, 0F);
        this.GearSecond3L2 = new ModelRenderer(this, 80, 60);
        this.GearSecond3L2.addBox(-4.5F, -0.5F, -0.5F, 9, 1, 1);
        this.setRotation(this.GearSecond3L2, 0F, 0.5235988F, 0F);
        this.GearSecond3L3 = new ModelRenderer(this, 80, 60);
        this.GearSecond3L3.addBox(-4.5F, -0.5F, -0.5F, 9, 1, 1);
        this.setRotation(this.GearSecond3L3, 0F, 1.047198F, 0F);
        this.GearSecond3L4 = new ModelRenderer(this, 80, 60);
        this.GearSecond3L4.addBox(-4.5F, -0.5F, -0.5F, 9, 1, 1);
        this.setRotation(this.GearSecond3L4, 0F, 1.570796F, 0F);
        this.GearSecond3L5 = new ModelRenderer(this, 80, 60);
        this.GearSecond3L5.addBox(-4.5F, -0.5F, -0.5F, 9, 1, 1);
        this.setRotation(this.GearSecond3L5, 0F, 2.094395F, 0F);
        this.GearSecond3L6 = new ModelRenderer(this, 80, 60);
        this.GearSecond3L6.addBox(-4.5F, -0.5F, -0.5F, 9, 1, 1);
        this.setRotation(this.GearSecond3L6, 0F, 2.617994F, 0F);
        this.GearSecond3S1 = new ModelRenderer(this, 80, 62);
        this.GearSecond3S1.addBox(-3F, -0.5F, -1.5F, 6, 1, 3);
        this.setRotation(this.GearSecond3S1, 0F, 0.5235988F, 0F);
        this.GearSecond3S2 = new ModelRenderer(this, 80, 62);
        this.GearSecond3S2.addBox(-3F, -0.5F, -1.5F, 6, 1, 3);
        this.setRotation(this.GearSecond3S2, 0F, 1.570796F, 0F);
        this.GearSecond3S3 = new ModelRenderer(this, 80, 62);
        this.GearSecond3S3.addBox(-3F, -0.5F, -1.5F, 6, 1, 3);
        this.setRotation(this.GearSecond3S3, 0F, 2.617994F, 0F);
        this.Shaft.addChild(this.GearSecond);
        this.GearSecond.addChild(this.GearSecond1L1);
        this.GearSecond.addChild(this.GearSecond1L2);
        this.GearSecond.addChild(this.GearSecond1L3);
        this.GearSecond.addChild(this.GearSecond2L1);
        this.GearSecond.addChild(this.GearSecond2L2);
        this.GearSecond.addChild(this.GearSecond2L3);
        this.GearSecond.addChild(this.GearSecond3L1);
        this.GearSecond.addChild(this.GearSecond3L2);
        this.GearSecond.addChild(this.GearSecond3L3);
        this.GearSecond.addChild(this.GearSecond3L4);
        this.GearSecond.addChild(this.GearSecond3L5);
        this.GearSecond.addChild(this.GearSecond3L6);
        this.GearSecond.addChild(this.GearSecond3S1);
        this.GearSecond.addChild(this.GearSecond3S2);
        this.GearSecond.addChild(this.GearSecond3S3);

        this.GearThird = new ModelRenderer(this);
        this.GearThird.setRotationPoint(0.0F, 12.0F, 0.0F);
        this.GearThirdL1 = new ModelRenderer(this, 0, 72);
        this.GearThirdL1.addBox(-12F, -3F, -0.5F, 24, 6, 1);
        this.setRotation(this.GearThirdL1, 0F, 0F, 0F);
        this.GearThirdL2 = new ModelRenderer(this, 0, 72);
        this.GearThirdL2.addBox(-12F, -3F, -0.5F, 24, 6, 1);
        this.setRotation(this.GearThirdL2, 0F, 0.2617994F, 0F);
        this.GearThirdL3 = new ModelRenderer(this, 0, 72);
        this.GearThirdL3.addBox(-12F, -3F, -0.5F, 24, 6, 1);
        this.setRotation(this.GearThirdL3, 0F, 0.5235988F, 0F);
        this.GearThirdL4 = new ModelRenderer(this, 0, 72);
        this.GearThirdL4.addBox(-12F, -3F, -0.5F, 24, 6, 1);
        this.setRotation(this.GearThirdL4, 0F, 0.7853982F, 0F);
        this.GearThirdL5 = new ModelRenderer(this, 0, 72);
        this.GearThirdL5.addBox(-12F, -3F, -0.5F, 24, 6, 1);
        this.setRotation(this.GearThirdL5, 0F, 1.047198F, 0F);
        this.GearThirdL6 = new ModelRenderer(this, 0, 72);
        this.GearThirdL6.addBox(-12F, -3F, -0.5F, 24, 6, 1);
        this.setRotation(this.GearThirdL6, 0F, 1.308997F, 0F);
        this.GearThirdL7 = new ModelRenderer(this, 0, 72);
        this.GearThirdL7.addBox(-12F, -3F, -0.5F, 24, 6, 1);
        this.setRotation(this.GearThirdL7, 0F, 1.570796F, 0F);
        this.GearThirdL8 = new ModelRenderer(this, 0, 72);
        this.GearThirdL8.addBox(-12F, -3F, -0.5F, 24, 6, 1);
        this.setRotation(this.GearThirdL8, 0F, 1.832596F, 0F);
        this.GearThirdL9 = new ModelRenderer(this, 0, 72);
        this.GearThirdL9.addBox(-12F, -3F, -0.5F, 24, 6, 1);
        this.setRotation(this.GearThirdL9, 0F, 2.094395F, 0F);
        this.GearThirdL10 = new ModelRenderer(this, 0, 72);
        this.GearThirdL10.addBox(-12F, -3F, -0.5F, 24, 6, 1);
        this.setRotation(this.GearThirdL10, 0F, 2.356194F, 0F);
        this.GearThirdL11 = new ModelRenderer(this, 0, 72);
        this.GearThirdL11.addBox(-12F, -3F, -0.5F, 24, 6, 1);
        this.setRotation(this.GearThirdL11, 0F, 2.617994F, 0F);
        this.GearThirdL12 = new ModelRenderer(this, 0, 72);
        this.GearThirdL12.addBox(-12F, -3F, -0.5F, 24, 6, 1);
        this.setRotation(this.GearThirdL12, 0F, 2.879793F, 0F);
        this.GearThirdS1 = new ModelRenderer(this, 50, 67);
        this.GearThirdS1.addBox(-10.5F, -3F, -2.5F, 21, 6, 5);
        this.setRotation(this.GearThirdS1, 0F, 0F, 0F);
        this.GearThirdS2 = new ModelRenderer(this, 50, 67);
        this.GearThirdS2.addBox(-10.5F, -3F, -2.5F, 21, 6, 5);
        this.setRotation(this.GearThirdS2, 0F, 0.2617994F, 0F);
        this.GearThirdS3 = new ModelRenderer(this, 50, 67);
        this.GearThirdS3.addBox(-10.5F, -3F, -2.5F, 21, 6, 5);
        this.setRotation(this.GearThirdS3, 0F, 0.5235988F, 0F);
        this.GearThirdS4 = new ModelRenderer(this, 50, 67);
        this.GearThirdS4.addBox(-10.5F, -3F, -2.5F, 21, 6, 5);
        this.setRotation(this.GearThirdS4, 0F, 0.7853982F, 0F);
        this.GearThirdS5 = new ModelRenderer(this, 50, 67);
        this.GearThirdS5.addBox(-10.5F, -3F, -2.5F, 21, 6, 5);
        this.setRotation(this.GearThirdS5, 0F, 1.047198F, 0F);
        this.GearThirdS6 = new ModelRenderer(this, 50, 67);
        this.GearThirdS6.addBox(-10.5F, -3F, -2.5F, 21, 6, 5);
        this.setRotation(this.GearThirdS6, 0F, 1.308997F, 0F);
        this.GearThirdS7 = new ModelRenderer(this, 50, 67);
        this.GearThirdS7.addBox(-10.5F, -3F, -2.5F, 21, 6, 5);
        this.setRotation(this.GearThirdS7, 0F, 1.570796F, 0F);
        this.GearThirdS8 = new ModelRenderer(this, 50, 67);
        this.GearThirdS8.addBox(-10.5F, -3F, -2.5F, 21, 6, 5);
        this.setRotation(this.GearThirdS8, 0F, 1.832596F, 0F);
        this.GearThirdS9 = new ModelRenderer(this, 50, 67);
        this.GearThirdS9.addBox(-10.5F, -3F, -2.5F, 21, 6, 5);
        this.setRotation(this.GearThirdS9, 0F, 2.094395F, 0F);
        this.GearThirdS10 = new ModelRenderer(this, 50, 67);
        this.GearThirdS10.addBox(-10.5F, -3F, -2.5F, 21, 6, 5);
        this.setRotation(this.GearThirdS10, 0F, 2.356194F, 0F);
        this.GearThirdS11 = new ModelRenderer(this, 50, 67);
        this.GearThirdS11.addBox(-10.5F, -3F, -2.5F, 21, 6, 5);
        this.setRotation(this.GearThirdS11, 0F, 2.617994F, 0F);
        this.GearThirdS12 = new ModelRenderer(this, 50, 67);
        this.GearThirdS12.addBox(-10.5F, -3F, -2.5F, 21, 6, 5);
        this.setRotation(this.GearThirdS12, 0F, 2.879793F, 0F);
        this.Shaft.addChild(this.GearThird);
        this.GearThird.addChild(this.GearThirdL1);
        this.GearThird.addChild(this.GearThirdL2);
        this.GearThird.addChild(this.GearThirdL3);
        this.GearThird.addChild(this.GearThirdL4);
        this.GearThird.addChild(this.GearThirdL5);
        this.GearThird.addChild(this.GearThirdL6);
        this.GearThird.addChild(this.GearThirdL7);
        this.GearThird.addChild(this.GearThirdL8);
        this.GearThird.addChild(this.GearThirdL9);
        this.GearThird.addChild(this.GearThirdL10);
        this.GearThird.addChild(this.GearThirdL11);
        this.GearThird.addChild(this.GearThirdL12);
        this.GearThird.addChild(this.GearThirdS1);
        this.GearThird.addChild(this.GearThirdS2);
        this.GearThird.addChild(this.GearThirdS3);
        this.GearThird.addChild(this.GearThirdS4);
        this.GearThird.addChild(this.GearThirdS5);
        this.GearThird.addChild(this.GearThirdS6);
        this.GearThird.addChild(this.GearThirdS7);
        this.GearThird.addChild(this.GearThirdS8);
        this.GearThird.addChild(this.GearThirdS9);
        this.GearThird.addChild(this.GearThirdS10);
        this.GearThird.addChild(this.GearThirdS11);
        this.GearThird.addChild(this.GearThirdS12);

        this.GearFourth = new ModelRenderer(this);
        this.GearFourth.setRotationPoint(0.0F, 15.5F, 0.0F);
        this.GearFourthL1 = new ModelRenderer(this, 8, 68);
        this.GearFourthL1.addBox(-7F, -0.5F, -0.5F, 14, 1, 1);
        this.setRotation(this.GearFourthL1, 0F, 0F, 0F);
        this.GearFourthL2 = new ModelRenderer(this, 8, 68);
        this.GearFourthL2.addBox(-7F, -0.5F, -0.5F, 14, 1, 1);
        this.setRotation(this.GearFourthL2, 0F, 0.3490659F, 0F);
        this.GearFourthL3 = new ModelRenderer(this, 8, 68);
        this.GearFourthL3.addBox(-7F, -0.5F, -0.5F, 14, 1, 1);
        this.setRotation(this.GearFourthL3, 0F, 0.6981317F, 0F);
        this.GearFourthL4 = new ModelRenderer(this, 8, 68);
        this.GearFourthL4.addBox(-7F, -0.5F, -0.5F, 14, 1, 1);
        this.setRotation(this.GearFourthL4, 0F, 1.047198F, 0F);
        this.GearFourthL5 = new ModelRenderer(this, 8, 68);
        this.GearFourthL5.addBox(-7F, -0.5F, -0.5F, 14, 1, 1);
        this.setRotation(this.GearFourthL5, 0F, 1.396263F, 0F);
        this.GearFourthL6 = new ModelRenderer(this, 8, 68);
        this.GearFourthL6.addBox(-7F, -0.5F, -0.5F, 14, 1, 1);
        this.setRotation(this.GearFourthL6, 0F, 1.745329F, 0F);
        this.GearFourthL7 = new ModelRenderer(this, 8, 68);
        this.GearFourthL7.addBox(-7F, -0.5F, -0.5F, 14, 1, 1);
        this.setRotation(this.GearFourthL7, 0F, 2.094395F, 0F);
        this.GearFourthL8 = new ModelRenderer(this, 8, 68);
        this.GearFourthL8.addBox(-7F, -0.5F, -0.5F, 14, 1, 1);
        this.setRotation(this.GearFourthL8, 0F, 2.443461F, 0F);
        this.GearFourthL9 = new ModelRenderer(this, 8, 68);
        this.GearFourthL9.addBox(-7F, -0.5F, -0.5F, 14, 1, 1);
        this.setRotation(this.GearFourthL9, 0F, 2.792527F, 0F);
        this.GearFourthS1 = new ModelRenderer(this, 8, 70);
        this.GearFourthS1.addBox(-6F, -0.5F, -0.5F, 12, 1, 1);
        this.setRotation(this.GearFourthS1, 0F, 0.1745329F, 0F);
        this.GearFourthS2 = new ModelRenderer(this, 8, 70);
        this.GearFourthS2.addBox(-6F, -0.5F, -0.5F, 12, 1, 1);
        this.setRotation(this.GearFourthS2, 0F, 0.5235988F, 0F);
        this.GearFourthS3 = new ModelRenderer(this, 8, 70);
        this.GearFourthS3.addBox(-6F, -0.5F, -0.5F, 12, 1, 1);
        this.setRotation(this.GearFourthS3, 0F, 0.8726646F, 0F);
        this.GearFourthS4 = new ModelRenderer(this, 8, 70);
        this.GearFourthS4.addBox(-6F, -0.5F, -0.5F, 12, 1, 1);
        this.setRotation(this.GearFourthS4, 0F, 1.22173F, 0F);
        this.GearFourthS5 = new ModelRenderer(this, 8, 70);
        this.GearFourthS5.addBox(-6F, -0.5F, -0.5F, 12, 1, 1);
        this.setRotation(this.GearFourthS5, 0F, 1.570796F, 0F);
        this.GearFourthS6 = new ModelRenderer(this, 8, 70);
        this.GearFourthS6.addBox(-6F, -0.5F, -0.5F, 12, 1, 1);
        this.setRotation(this.GearFourthS6, 0F, 1.919862F, 0F);
        this.GearFourthS7 = new ModelRenderer(this, 8, 70);
        this.GearFourthS7.addBox(-6F, -0.5F, -0.5F, 12, 1, 1);
        this.setRotation(this.GearFourthS7, 0F, 2.268928F, 0F);
        this.GearFourthS8 = new ModelRenderer(this, 8, 70);
        this.GearFourthS8.addBox(-6F, -0.5F, -0.5F, 12, 1, 1);
        this.setRotation(this.GearFourthS8, 0F, 2.617994F, 0F);
        this.GearFourthS9 = new ModelRenderer(this, 8, 70);
        this.GearFourthS9.addBox(-6F, -0.5F, -0.5F, 12, 1, 1);
        this.setRotation(this.GearFourthS9, 0F, 2.96706F, 0F);
        this.Shaft.addChild(this.GearFourth);
        this.GearFourth.addChild(this.GearFourthL1);
        this.GearFourth.addChild(this.GearFourthL2);
        this.GearFourth.addChild(this.GearFourthL3);
        this.GearFourth.addChild(this.GearFourthL4);
        this.GearFourth.addChild(this.GearFourthL5);
        this.GearFourth.addChild(this.GearFourthL6);
        this.GearFourth.addChild(this.GearFourthL7);
        this.GearFourth.addChild(this.GearFourthL8);
        this.GearFourth.addChild(this.GearFourthL9);
        this.GearFourth.addChild(this.GearFourthS1);
        this.GearFourth.addChild(this.GearFourthS2);
        this.GearFourth.addChild(this.GearFourthS3);
        this.GearFourth.addChild(this.GearFourthS4);
        this.GearFourth.addChild(this.GearFourthS5);
        this.GearFourth.addChild(this.GearFourthS6);
        this.GearFourth.addChild(this.GearFourthS7);
        this.GearFourth.addChild(this.GearFourthS8);
        this.GearFourth.addChild(this.GearFourthS9);

        this.GearFifth = new ModelRenderer(this);
        this.GearFifth.setRotationPoint(0.0F, 8.5F, 0.0F);
        this.GearFifthL1 = new ModelRenderer(this, 8, 68);
        this.GearFifthL1.addBox(-7F, -0.5F, -0.5F, 14, 1, 1);
        this.setRotation(this.GearFifthL1, 0F, 0F, 0F);
        this.GearFifthL2 = new ModelRenderer(this, 8, 68);
        this.GearFifthL2.addBox(-7F, -0.5F, -0.5F, 14, 1, 1);
        this.setRotation(this.GearFifthL2, 0F, 0.3490659F, 0F);
        this.GearFifthL3 = new ModelRenderer(this, 8, 68);
        this.GearFifthL3.addBox(-7F, -0.5F, -0.5F, 14, 1, 1);
        this.setRotation(this.GearFifthL3, 0F, 0.6981317F, 0F);
        this.GearFifthL4 = new ModelRenderer(this, 8, 68);
        this.GearFifthL4.addBox(-7F, -0.5F, -0.5F, 14, 1, 1);
        this.setRotation(this.GearFifthL4, 0F, 1.047198F, 0F);
        this.GearFifthL5 = new ModelRenderer(this, 8, 68);
        this.GearFifthL5.addBox(-7F, -0.5F, -0.5F, 14, 1, 1);
        this.setRotation(this.GearFifthL5, 0F, 1.396263F, 0F);
        this.GearFifthL6 = new ModelRenderer(this, 8, 68);
        this.GearFifthL6.addBox(-7F, -0.5F, -0.5F, 14, 1, 1);
        this.setRotation(this.GearFifthL6, 0F, 1.745329F, 0F);
        this.GearFifthL7 = new ModelRenderer(this, 8, 68);
        this.GearFifthL7.addBox(-7F, -0.5F, -0.5F, 14, 1, 1);
        this.setRotation(this.GearFifthL7, 0F, 2.094395F, 0F);
        this.GearFifthL8 = new ModelRenderer(this, 8, 68);
        this.GearFifthL8.addBox(-7F, -0.5F, -0.5F, 14, 1, 1);
        this.setRotation(this.GearFifthL8, 0F, 2.443461F, 0F);
        this.GearFifthL9 = new ModelRenderer(this, 8, 68);
        this.GearFifthL9.addBox(-7F, -0.5F, -0.5F, 14, 1, 1);
        this.setRotation(this.GearFifthL9, 0F, 2.792527F, 0F);
        this.GearFifthS1 = new ModelRenderer(this, 8, 70);
        this.GearFifthS1.addBox(-6F, -0.5F, -0.5F, 12, 1, 1);
        this.setRotation(this.GearFifthS1, 0F, 0.1745329F, 0F);
        this.GearFifthS2 = new ModelRenderer(this, 8, 70);
        this.GearFifthS2.addBox(-6F, -0.5F, -0.5F, 12, 1, 1);
        this.setRotation(this.GearFifthS2, 0F, 0.5235988F, 0F);
        this.GearFifthS3 = new ModelRenderer(this, 8, 70);
        this.GearFifthS3.addBox(-6F, -0.5F, -0.5F, 12, 1, 1);
        this.setRotation(this.GearFifthS3, 0F, 0.8726646F, 0F);
        this.GearFifthS4 = new ModelRenderer(this, 8, 70);
        this.GearFifthS4.addBox(-6F, -0.5F, -0.5F, 12, 1, 1);
        this.setRotation(this.GearFifthS4, 0F, 1.22173F, 0F);
        this.GearFifthS5 = new ModelRenderer(this, 8, 70);
        this.GearFifthS5.addBox(-6F, -0.5F, -0.5F, 12, 1, 1);
        this.setRotation(this.GearFifthS5, 0F, 1.570796F, 0F);
        this.GearFifthS6 = new ModelRenderer(this, 8, 70);
        this.GearFifthS6.addBox(-6F, -0.5F, -0.5F, 12, 1, 1);
        this.setRotation(this.GearFifthS6, 0F, 1.919862F, 0F);
        this.GearFifthS7 = new ModelRenderer(this, 8, 70);
        this.GearFifthS7.addBox(-6F, -0.5F, -0.5F, 12, 1, 1);
        this.setRotation(this.GearFifthS7, 0F, 2.268928F, 0F);
        this.GearFifthS8 = new ModelRenderer(this, 8, 70);
        this.GearFifthS8.addBox(-6F, -0.5F, -0.5F, 12, 1, 1);
        this.setRotation(this.GearFifthS8, 0F, 2.617994F, 0F);
        this.GearFifthS9 = new ModelRenderer(this, 8, 70);
        this.GearFifthS9.addBox(-6F, -0.5F, -0.5F, 12, 1, 1);
        this.setRotation(this.GearFifthS9, 0F, 2.96706F, 0F);
        this.Shaft.addChild(this.GearFifth);
        this.GearFifth.addChild(this.GearFifthL1);
        this.GearFifth.addChild(this.GearFifthL2);
        this.GearFifth.addChild(this.GearFifthL3);
        this.GearFifth.addChild(this.GearFifthL4);
        this.GearFifth.addChild(this.GearFifthL5);
        this.GearFifth.addChild(this.GearFifthL6);
        this.GearFifth.addChild(this.GearFifthL7);
        this.GearFifth.addChild(this.GearFifthL8);
        this.GearFifth.addChild(this.GearFifthL9);
        this.GearFifth.addChild(this.GearFifthS1);
        this.GearFifth.addChild(this.GearFifthS2);
        this.GearFifth.addChild(this.GearFifthS3);
        this.GearFifth.addChild(this.GearFifthS4);
        this.GearFifth.addChild(this.GearFifthS5);
        this.GearFifth.addChild(this.GearFifthS6);
        this.GearFifth.addChild(this.GearFifthS7);
        this.GearFifth.addChild(this.GearFifthS8);
        this.GearFifth.addChild(this.GearFifthS9);

        this.Body1 = new ModelRenderer(this, 48, 58);
        this.Body1.addBox(-2F, -5F, -2F, 4, 5, 4);
        this.Body1.setRotationPoint(0F, -10F, 0F);
        this.Body2 = new ModelRenderer(this, 24, 58);
        this.Body2.addBox(-3F, -4F, -3F, 6, 4, 6);
        this.Body2.setRotationPoint(0F, -5F, 0F);
        this.Neck = new ModelRenderer(this, 0, 67);
        this.Neck.addBox(-1F, -3F, -1F, 2, 3, 2);
        this.Neck.setRotationPoint(0F, -4.0F, 0.5F);
        this.Head = new ModelRenderer(this, 0, 55);
        this.Head.addBox(-3F, -6F, -3F, 6, 6, 6);
        this.Head.setRotationPoint(0F, -3.0F, -0.5F);
        this.RightEar1 = new ModelRenderer(this, 64, 56);
        this.RightEar1.addBox(-1.0F, -6.0F, -0.5F, 1, 6, 1);
        this.RightEar1.setRotationPoint(-1.0F, -6.0F, 0.0F);
        this.RightEar2 = new ModelRenderer(this, 68, 56);
        this.RightEar2.addBox(-3.0F, -6.0F, -1.5F, 3, 6, 3);
        this.RightEar2.setRotationPoint(-1.0F, -6.0F, 0.0F);
        this.setRotation(this.RightEar2, 0F, 0F, -1.047198F);
        this.LeftEar1 = new ModelRenderer(this, 64, 56);
        this.LeftEar1.mirror = true;
        this.LeftEar1.addBox(0.0F, -6.0F, -0.5F, 1, 6, 1);
        this.LeftEar1.setRotationPoint(1.0F, -6.0F, 0.0F);
        this.LeftEar2 = new ModelRenderer(this, 68, 56);
        this.LeftEar2.mirror = true;
        this.LeftEar2.addBox(0F, -6.0F, -1.5F, 3, 6, 3);
        this.LeftEar2.setRotationPoint(1.0F, -6.0F, 0.0F);
        this.setRotation(this.LeftEar2, 0F, 0F, 1.047198F);
        this.RightArm1 = new ModelRenderer(this, 56, 46);
        this.RightArm1.addBox(-9F, -1F, -1F, 9, 2, 2);
        this.RightArm1.setRotationPoint(-3.0F, -3.0F, 0.0F);
        this.RightArm2 = new ModelRenderer(this, 56, 50);
        this.RightArm2.addBox(-9F, -1.5F, -1.5F, 9, 3, 3);
        this.RightArm2.setRotationPoint(-9.0F, 0.0F, 0.0F);
        this.RightArm3 = new ModelRenderer(this, 80, 46);
        this.RightArm3.addBox(-5F, -2F, -2F, 5, 4, 4);
        this.RightArm3.setRotationPoint(-9.0F, 0.0F, 0.0F);
        this.LeftArm1 = new ModelRenderer(this, 56, 46);
        this.LeftArm1.mirror = true;
        this.LeftArm1.addBox(0F, -1F, -1F, 9, 2, 2);
        this.LeftArm1.setRotationPoint(3.0F, -3.0F, 0.0F);
        this.LeftArm2 = new ModelRenderer(this, 56, 50);
        this.LeftArm2.mirror = true;
        this.LeftArm2.addBox(0F, -1.5F, -1.5F, 9, 3, 3);
        this.LeftArm2.setRotationPoint(9.0F, 0.0F, 0.0F);
        this.LeftArm3 = new ModelRenderer(this, 80, 46);
        this.LeftArm3.mirror = true;
        this.LeftArm3.addBox(0F, -2F, -2F, 5, 4, 4);
        this.LeftArm3.setRotationPoint(9.0F, 0.0F, 0.0F);
        this.Shaft.addChild(this.Body1);
        this.Body1.addChild(this.Body2);
        this.Body2.addChild(this.Neck);
        this.Neck.addChild(this.Head);
        this.Head.addChild(this.RightEar2);
        this.RightEar2.addChild(this.RightEar1);
        this.Head.addChild(this.LeftEar2);
        this.LeftEar2.addChild(this.LeftEar1);
        this.Body2.addChild(this.RightArm1);
        this.RightArm1.addChild(this.RightArm2);
        this.RightArm2.addChild(this.RightArm3);
        this.Body2.addChild(this.LeftArm1);
        this.LeftArm1.addChild(this.LeftArm2);
        this.LeftArm2.addChild(this.LeftArm3);

        this.UnderSkirt1 = new ModelRenderer(this, 20, 31);
        this.UnderSkirt1.addBox(-3F, -3F, 0F, 6, 6, 2);
        this.UnderSkirt1.setRotationPoint(0.0F, -10.0F, 0.0F);
        this.setRotation(this.UnderSkirt1, -1.570796F, 0F, 0F);
        this.UnderSkirt2 = new ModelRenderer(this, 32, 46);
        this.UnderSkirt2.addBox(-5F, -5F, 0F, 10, 10, 2);
        this.UnderSkirt2.setRotationPoint(0.0F, 0.0F, 2.0F);
        this.UnderSkirt3 = new ModelRenderer(this, 0, 39);
        this.UnderSkirt3.addBox(-6F, -6F, 0F, 12, 12, 4);
        this.UnderSkirt3.setRotationPoint(0.0F, 0.0F, 2.0F);
        this.Shaft.addChild(this.UnderSkirt1);
        this.UnderSkirt1.addChild(this.UnderSkirt2);
        this.UnderSkirt2.addChild(this.UnderSkirt3);

        this.Skirt1 = new ModelRenderer(this, 4, 31);
        this.Skirt1.addBox(-3.5F, -3.5F, 0F, 7, 7, 1);
        this.Skirt1.setRotationPoint(0.0F, -10.0F, 0.0F);
        this.setRotation(Skirt1, -1.570796F, 0F, 0F);
        this.Skirt2 = new ModelRenderer(this, 36, 31);
        this.Skirt2.addBox(-6.5F, -6.5F, 0F, 13, 13, 2);
        this.Skirt2.setRotationPoint(0.0F, 0.0F, 1.0F);
        this.Skirt3 = new ModelRenderer(this, 66, 26);
        this.Skirt3.addBox(-8F, -8F, 0F, 16, 16, 4);
        this.Skirt3.setRotationPoint(0.0F, 0.0F, 2.0F);
        this.Skirt4 = new ModelRenderer(this, 66, 0);
        this.Skirt4.addBox(-10.5F, -10.5F, 0F, 21, 21, 5);
        this.Skirt4.setRotationPoint(0.0F, 0.0F, 4.0F);
        this.Skirt5 = new ModelRenderer(this, 4, 0);
        this.Skirt5.addBox(-12F, -12F, 0F, 24, 24, 7);
        this.Skirt5.setRotationPoint(0.0F, 0.0F, 5.0F);
        this.Shaft.addChild(this.Skirt1);
        this.Skirt1.addChild(this.Skirt2);
        this.Skirt2.addChild(this.Skirt3);
        this.Skirt3.addChild(this.Skirt4);
        this.Skirt4.addChild(this.Skirt5);
    }

    private void setRotation(ModelRenderer par1ModelRenderer, float par2, float par3, float par4)
    {
        par1ModelRenderer.rotateAngleX = par2;
        par1ModelRenderer.rotateAngleY = par3;
        par1ModelRenderer.rotateAngleZ = par4;
    }

    @Override
    public void render(Entity par1Entity, float par2, float par3, float par4, float par5, float par6, float par7)
    {
        this.setRotationAngles(par2, par3, par4, par5, par6, par7, par1Entity);
        this.Shaft.render(par7);
    }

    @Override
    public void setLivingAnimations(EntityLiving par1EntityLiving, float par2, float par3, float par4)
    {
        float var0 = (float)par1EntityLiving.ticksExisted + par4;
        float var1 = MathHelper.sin(var0 * 0.015F) * 0.3F;
        this.RightArm1.rotateAngleZ = var1;
        this.LeftArm1.rotateAngleZ = -var1;
        this.checkHP = MathHelper.sin(var0 * 0.02F) * 0.1F;
        float var2 = var0 * (float)Math.PI;
        this.GearTop.rotateAngleY = var2 * 0.0035F;
        this.GearSecond.rotateAngleY = -var2 * 0.0043F;
        this.GearThird.rotateAngleY = var2 * 0.005F;
        this.GearFourth.rotateAngleY = this.GearFifth.rotateAngleY = var2 * 0.003F;
    }

    @Override
    public void setRotationAngles(float par1, float par2, float par3, float par4, float par5, float par6, Entity par7Entity)
    {
        super.setRotationAngles(par1, par2, par3, par4, par5, par6, par7Entity);
        float var3 = par3;
        if (par3 < -((float)Math.PI * 0.60F) || par3 > -((float)Math.PI * 0.15F))
        {
        	var3 += this.checkHP;
        }
        this.Shaft.rotateAngleZ = var3;
        this.Shaft.rotateAngleX = this.checkHP * this.checkHP * 10.0F - 0.05F;
    }
}