package PuellaMagi.mods.client;

import net.minecraft.client.renderer.OpenGlHelper;
import net.minecraft.client.renderer.Tessellator;
import net.minecraft.client.renderer.entity.Render;
import net.minecraft.entity.Entity;
import net.minecraft.util.MathHelper;

import org.lwjgl.opengl.GL11;
import org.lwjgl.opengl.GL12;

import PuellaMagi.mods.EntityLightArrow;

public class RenderLightArrow extends Render
{
    public void renderLightArrow(EntityLightArrow par1EntityLightArrow, double par2, double par4, double par6, float par8, float par9)
    {
        this.loadTexture("/PuellaMagi/Items/lightArrow.png");
        GL11.glPushMatrix();
        GL11.glTranslatef((float)par2, (float)par4, (float)par6);
        GL11.glRotatef(par1EntityLightArrow.prevRotationYaw + (par1EntityLightArrow.rotationYaw - par1EntityLightArrow.prevRotationYaw) * par9 - 90.0F, 0.0F, 1.0F, 0.0F);
        GL11.glRotatef(par1EntityLightArrow.prevRotationPitch + (par1EntityLightArrow.rotationPitch - par1EntityLightArrow.prevRotationPitch) * par9, 0.0F, 0.0F, 1.0F);
        Tessellator var10 = Tessellator.instance;
        byte var11 = 0;
        float var12 = 0.0F;
        float var13 = 0.5F;
        float var14 = (float)(0 + var11 * 10) / 32.0F;
        float var15 = (float)(5 + var11 * 10) / 32.0F;
        float var16 = 0.0F;
        float var17 = 0.15625F;
        float var18 = (float)(5 + var11 * 10) / 32.0F;
        float var19 = (float)(10 + var11 * 10) / 32.0F;
        float var20 = 0.05625F;
        GL11.glEnable(GL12.GL_RESCALE_NORMAL);

        int var59 = par1EntityLightArrow.getBrightnessForRender(par9);
        int var60 = var59 % 65536;
        int var61 = var59 / 65536;
        OpenGlHelper.setLightmapTextureCoords(OpenGlHelper.lightmapTexUnit, (float)var60 / 1.0F, (float)var61 / 1.0F);
        GL11.glColor4f(1.0F, 1.0F, 1.0F, 1.0F);
        float var66 = 255.0F;
        float var67 = ((float)par1EntityLightArrow.tickLight + par9) / 2.0F;
        var61 = (int)((MathHelper.sin(var67 + 0.0F) + 3.0F) * 0.25F * var66);
        int var64 = var61 << 16 | var61 << 8 | var61;

        GL11.glRotatef(45.0F, 1.0F, 0.0F, 0.0F);
        GL11.glScalef(var20, var20, var20);
        GL11.glTranslatef(-4.0F, 0.0F, 0.0F);
        GL11.glNormal3f(var20, 0.0F, 0.0F);
        var10.startDrawingQuads();
        var10.setColorRGBA_I(var64, 128);
        var10.addVertexWithUV(5.0D, -2.0D, -2.0D, (double)var16, (double)var18);
        var10.addVertexWithUV(5.0D, -2.0D, 2.0D, (double)var17, (double)var18);
        var10.addVertexWithUV(5.0D, 2.0D, 2.0D, (double)var17, (double)var19);
        var10.addVertexWithUV(5.0D, 2.0D, -2.0D, (double)var16, (double)var19);
        var10.draw();
        GL11.glNormal3f(-var20, 0.0F, 0.0F);
        var10.startDrawingQuads();
        var10.setColorRGBA_I(var64, 128);
        var10.addVertexWithUV(5.0D, 2.0D, -2.0D, (double)var16, (double)var18);
        var10.addVertexWithUV(5.0D, 2.0D, 2.0D, (double)var17, (double)var18);
        var10.addVertexWithUV(5.0D, -2.0D, 2.0D, (double)var17, (double)var19);
        var10.addVertexWithUV(5.0D, -2.0D, -2.0D, (double)var16, (double)var19);
        var10.draw();

        for (int var23 = 0; var23 < 4; ++var23)
        {
            GL11.glRotatef(90.0F, 1.0F, 0.0F, 0.0F);
            GL11.glNormal3f(0.0F, 0.0F, var20);
            var10.startDrawingQuads();
            var10.setColorRGBA_I(var64, 128);
            var10.addVertexWithUV(-8.0D, -2.0D, 0.0D, (double)var12, (double)var14);
            var10.addVertexWithUV(8.0D, -2.0D, 0.0D, (double)var13, (double)var14);
            var10.addVertexWithUV(8.0D, 2.0D, 0.0D, (double)var13, (double)var15);
            var10.addVertexWithUV(-8.0D, 2.0D, 0.0D, (double)var12, (double)var15);
            var10.draw();
        }

        GL11.glDisable(GL12.GL_RESCALE_NORMAL);
        GL11.glPopMatrix();
    }

    @Override
    public void doRender(Entity par1Entity, double par2, double par4, double par6, float par8, float par9)
    {
        this.renderLightArrow((EntityLightArrow)par1Entity, par2, par4, par6, par8, par9);
    }
}