package PuellaMagi.mods.client;

import net.minecraft.client.renderer.Tessellator;
import net.minecraft.client.renderer.entity.Render;
import net.minecraft.entity.Entity;
import net.minecraft.util.MathHelper;

import org.lwjgl.opengl.GL11;
import org.lwjgl.opengl.GL12;

import PuellaMagi.mods.EntityMusket;

public class RenderMusket extends Render
{
    public void renderMusket(EntityMusket par1EntityMusket, double par2, double par4, double par6, float par8, float par9)
    {
        this.loadTexture("/PuellaMagi/Items/musket.png");
        GL11.glPushMatrix();
        GL11.glTranslatef((float)par2, (float)par4, (float)par6);
        GL11.glRotatef(par1EntityMusket.prevRotationYaw + (par1EntityMusket.rotationYaw - par1EntityMusket.prevRotationYaw) * par9 - 90.0F, 0.0F, 1.0F, 0.0F);
        GL11.glRotatef(par1EntityMusket.prevRotationPitch + (par1EntityMusket.rotationPitch - par1EntityMusket.prevRotationPitch) * par9, 0.0F, 0.0F, 1.0F);
        Tessellator var10 = Tessellator.instance;
        byte var11 = 0;
        float var12 = 0.0F;
        float var13 = 1.0F;
        float var14 = (float)(0 + var11 * 10) / 32.0F;
        float var15 = (float)(5 + var11 * 10) / 32.0F;
        float var16 = 0.0F;
        float var17 = 0.15625F;
        float var18 = (float)(5 + var11 * 10) / 32.0F;
        float var19 = (float)(10 + var11 * 10) / 32.0F;
        float var20 = 0.05625F;
        GL11.glEnable(GL12.GL_RESCALE_NORMAL);
        float var21 = (float)par1EntityMusket.arrowShake - par9;

        if (var21 > 0.0F)
        {
            float var22 = -MathHelper.sin(var21 * 3.0F) * var21;
            GL11.glRotatef(var22, 0.0F, 0.0F, 1.0F);
        }

        GL11.glRotatef(45.0F, 1.0F, 0.0F, 0.0F);
        GL11.glScalef(var20 * 2.0F, var20, var20);
        GL11.glTranslatef(-4.0F, 0.0F, 0.0F);

        for (int var23 = 0; var23 < 2; ++var23)
        {
            GL11.glRotatef(180.0F, 1.0F, 0.0F, 0.0F);
            GL11.glNormal3f(0.0F, 0.0F, var20);
            var10.startDrawingQuads();
            var10.addVertexWithUV(-8.0D, -2.0D, 0.0D, (double)var12, (double)(5 * var23) / 32.0F);
            var10.addVertexWithUV(8.0D, -2.0D, 0.0D, (double)var13, (double)(5 * var23) / 32.0F);
            var10.addVertexWithUV(8.0D, 2.0D, 0.0D, (double)var13, (double)(5 * var23 + 5) / 32.0F);
            var10.addVertexWithUV(-8.0D, 2.0D, 0.0D, (double)var12, (double)(5 * var23 + 5) / 32.0F);
            var10.draw();
        }

        GL11.glDisable(GL12.GL_RESCALE_NORMAL);
        GL11.glPopMatrix();
    }

    @Override
    public void doRender(Entity par1Entity, double par2, double par4, double par6, float par8, float par9)
    {
        this.renderMusket((EntityMusket)par1Entity, par2, par4, par6, par8, par9);
    }
}